Bug 231352 - databases/postgis24: update to 2.4.5
Summary: databases/postgis24: update to 2.4.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Christoph Moench-Tegeder
URL: http://postgis.net/2018/09/12/postgis...
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2018-09-13 20:56 UTC by Christoph Moench-Tegeder
Modified: 2018-09-14 22:00 UTC (History)
1 user (show)

See Also:
lbartoletti: maintainer-feedback+


Attachments
update postgis to 2.4.5 (5.77 KB, patch)
2018-09-13 20:56 UTC, Christoph Moench-Tegeder
no flags Details | Diff
postgis 2.4.5 (26.17 KB, patch)
2018-09-14 19:54 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2018-09-13 20:56:56 UTC
Created attachment 197079 [details]
update postgis to 2.4.5

https://svn.osgeo.org/postgis/tags/2.4.5/NEWS
a minor bugfix release.
As per portlint, I added gnome to USES. passes poudriere.
Comment 1 Loïc Bartoletti 2018-09-14 19:54:52 UTC
Created attachment 197094 [details]
postgis 2.4.5

Thanks I was on it too :)
I updated pkg-plist
Comment 2 Christoph Moench-Tegeder freebsd_committer 2018-09-14 22:00:14 UTC
I've taken the liberty to merge the pkg-plists: I've replaced all the leftover "2.4.5"s in your pkg-plist with %%PORTVERSION%%s, and I've kept the original ordering of that file: else reviewing diffs is a real pain. I hope that's ok with you :)

Committed as ports r479809
Comment 3 commit-hook freebsd_committer 2018-09-14 22:00:23 UTC
A commit references this bug:

Author: cmt
Date: Fri Sep 14 22:00:05 UTC 2018
New revision: 479809
URL: https://svnweb.freebsd.org/changeset/ports/479809

Log:
  databases/postgis24: update to 2.4.5

  http://postgis.net/2018/09/12/postgis-2.4.5/

  while here, some editorial cleanups.

  PR:		231352
  Approved by:	lbartoletti at tuxfamily.org (maintainer)

Changes:
  head/databases/postgis24/Makefile
  head/databases/postgis24/distinfo
  head/databases/postgis24/pkg-plist